# -*- coding: UTF-8 -*-
import pymysql
import datetime
import pandas as pd

DIRECTORY_PATH="/data2/ffm/"

def get_yesterday_date():
    #自动获取昨天的日期,如"2018-08-08"
    """
    :rtype : str
    """
    today = datetime.date.today()
    yesterday = today - datetime.timedelta(days=1)
    yesterday = yesterday.strftime("%Y-%m-%d")
    print(yesterday)
    return yesterday
    #today = datetime.date.today().strftime("%Y%m%d")
    #return today


def get_data():
    conn2db = pymysql.connect(host='10.66.157.22', port=4000, user='root', passwd='3SYz54LS9#^9sBvC', db='eagle')
    cursor = conn2db.cursor()
    sql = "select device_id from eagle.ffm_diary_queue_temp where device_id regexp '[5|6]$'"
    cursor.execute(sql)
    result = cursor.fetchall()
    pd.DataFrame(list(result)).to_csv("/data2/ffm/yesterday.csv")
    cursor.close()



if __name__ == "__main__":
    get_data()
